Fehler: Umstellung auf PHP 7.0 und MYSQLi nicht möglich



  • Hallo zusammen,

    nach der Umstellung auf PHP 7.0 und Mysqli des Idoit System funktioniert das selbige nicht mehr.

    Hier ist nur eine der Meldungen die uns entgegenfliegen.

    [Mon Dec 07 11:50:37.785261 2015] [:error] [pid 4893:tid 139813848078080] [client 10.155.8.165:64824] PHP Warning:  Declaration of isys_component_template::assign($tpl_var, $value = NULL) should be compatible with Smarty_Internal_Data::assign($tpl_var, $value = NULL, $nocache = false) in /var/www/html/idoit/src/classes/components/isys_component_template.class.php on line 50, referer: https://tools-prv.tc.dpcom.de/idoit/admin/?req=config
    [Mon Dec 07 11:50:40.495802 2015] [:error] [pid 4893:tid 139813837588224] [client 10.155.8.165:64827] PHP Warning:  Declaration of isys_component_template::display($p_resource_name, $p_cache_id = NULL, $p_compile_id = NULL) should be compatible with Smarty::display($template = NULL, $cache_id = NULL, $compile_id = NULL, $parent = NULL) in /var/www/html/idoit/src/classes/components/isys_component_template.class.php on line 50, referer: https://tools-prv.tc.dpcom.de/idoit/admin/?req=mandator
    [Mon Dec 07 11:50:40.495846 2015] [:error] [pid 4893:tid 139813837588224] [client 10.155.8.165:64827] PHP Warning:  Declaration of isys_component_template::assign($tpl_var, $value = NULL) should be compatible with Smarty_Internal_Data::assign($tpl_var, $value = NULL, $nocache = false) in /var/www/html/idoit/src/classes/components/isys_component_template.class.php on line 50, referer: https://tools-prv.tc.dpcom.de/idoit/admin/?req=mandator
    [Mon Dec 07 11:51:07.922629 2015] [:error] [pid 4893:tid 139813959231232] [client 10.155.8.165:64831] PHP Warning:  Declaration of isys_component_template::display($p_resource_name, $p_cache_id = NULL, $p_compile_id = NULL) should be compatible with Smarty::display($template = NULL, $cache_id = NULL, $compile_id = NULL, $parent = NULL) in /var/www/html/idoit/src/classes/components/isys_component_template.class.php on line 50, referer: https://tools-prv.tc.dpcom.de/idoit/admin/?req=mandator
    [Mon Dec 07 11:51:07.922710 2015] [:error] [pid 4893:tid 139813959231232] [client 10.155.8.165:64831] PHP Warning:  Declaration of isys_component_template::assign($tpl_var, $value = NULL) should be compatible with Smarty_Internal_Data::assign($tpl_var, $value = NULL, $nocache = false) in /var/www/html/idoit/src/classes/components/isys_component_template.class.php on line 50, referer: https://tools-prv.tc.dpcom.de/idoit/admin/?req=mandator
    
    

    Ich denke idoit 1.6 ist auf PHP 7.0 getestet worden?

    Grüße,
    Stephan


  • i-doit Kenner

    Hi,

    das offizielle PHP7 ist vor weniger als einer Woche erschienen. Es ist leider unmöglich in derart kurzer Zeit den Code komplett anzupassen und dann auch noch zu testen. Wenn alles gut geht, werden wir zur kommenden Version 1.7 die Kompatibilität gewährleisten können. Woher kommt denn die Info, dass wir das schon getestet haben sollen?

    Übrigens ist in unseren Systemvoraussetzungen in unserer Knowledge Base immer der aktuelle Stand der unterstützten Versionen zu finden: https://i-doit.atlassian.net/wiki/display/KB/Systemvoraussetzungen

    Besten Gruß



  • Red Hat Enterprise Linux (RHEL) 6.6 (mit PHP >= 5.5),

    von der Seite https://i-doit.atlassian.net/wiki/display/KB/Systemvoraussetzungen
    Und PHP 7 ist für Entwickler seit anfang des Jahres verfügbar.

    Grüße,
    Stephan



  • Hallo,

    gibt es mittlerweile einen Termin für die Unterstützung von Ubuntu 16.04 (PHP 7)?

    PHP 7 ist nun seit über einem Jahr verfügbar und Ubuntu knapp ein Jahr.

    VG Andreas



  • Hi,

    voraussichtlich zur Version 1.9 (April 2017). Wir sind mit Hochdruck dran, es gibt aber noch den ein oder anderen kleinen Haken…


Log in to reply
 


Datenschutz / Privacy Policy